Gstreamer Plugins Ugly 1.10.5 (JollaPhone)

Rating: 
5
Your rating: None Average: 5 (1 vote)

derived from https://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-...

will make use of (if installed separately):

a52dec
libmad
amr -nb/-wb
lame
twolame
mpg123
mpeg2dec
libx264

requires: Jämsänjoki (2.1.1) or Kiiminkijoki (2.1.2), orc (installed by default), Cortex-A15 CPU (Jolla1,Fairphone2, Fairphone 2 ,Turing...)
JollaC / aquafish (Cortex-A7) not supported!

filename: gstreamer1.0-plugins-ugly-1.10.5-1.2.armv7hl.rpm (version 1.8.3 still available here)

Category:

Application versions: 
AttachmentSizeDate
gstreamer1.0-plugins-ugly-1.8.31ubuntu1-1.0.0.armv7hl.rpm875.77 KB23/11/2016 - 03:01
gstreamer1.0-plugins-ugly-1.10.5-1.2.armv7hl.rpm24.18 MB29/08/2017 - 17:39
Changelog: 

Jämsänjoki (2.1.1) / Kiiminkijoki (2.1.2) release (gstreamer 1.10), built with SDK1701-1 for Jolla1/Fairphone2/Turing... (NOT JollaC/aquafish)

Initial 2.0.5 Haapajoki/2.1.0 Iijoki release (gstreamer 1.8) for Jolla1/Fairphone2/Turing... (NOT JollaC/aquafish)

Comments

paolomi's picture

Hi :) in the packages you suggest, i've found only:

https://openrepos.net/content/bloodyfoxy/libx264

https://openrepos.net/content/bloodyfoxy/libmp3lame

https://openrepos.net/content/bloodyfoxy/a52dec

where are the other packages? many thanks :)

lpr's picture

hint: you may have a look at libraries contained in unpacked 1.4.5 (JollaPhone) rpm package...

the name ugly is for proprietary claims and licence/royalty issues that arise with distribution of these codecs...
I will not provide binary packages in the form of stand-alone non-free codecs, although others do...

paolomi's picture

Thanks for your reply. But there is something wrong, i type on my jolla:

[nemo@Sailfish ~]$ gst-inspect-1.0 x264
No such element or plugin 'x264'

[nemo@Sailfish ~]$ gst-inspect-1.0 a52dec
No such element or plugin 'a52dec'

[nemo@Sailfish ~]$ gst-inspect-1.0 lame
No such element or plugin 'lame'

Of course I've installed those 3 packages... any ideas? many thanks :)

lpr's picture

make sure this package is installed correctly by verifying if libgsta52dec.so, libgstlame.so and libgstx264.so are present in /usr/lib/gstreamer-1.0/

paolomi's picture

Yes, those 3 files are present in /usr/lib/gstreamer-1.0/. I've uninstalled your package, then i've installed it again, those 3 files are present again and I've rebooted the jolla.  gst-inspect tell me the same thing as before. is there anyone with the same problem?  If this happens only to me, i'll reset the device in the Christmas holidays...